---
title: color-rendering
slug: Web/SVG/Attribute/color-rendering
tags:
  - SVG
  - SVG Attribute
---
<div>{{obsolete_header}}</div>

<p class="seoSummary">The <strong><code>color-rendering</code></strong> attribute provides a hint to the SVG user agent about how to optimize its color interpolation and compositing operations.</p>

<p><code>color-rendering</code> takes precedence over {{SVGAttr("color-interpolation-filters")}}. For example, assume <code>color-rendering: optimizeSpeed</code> and <code>color-interpolation-filters: linearRGB</code>. In this case, the SVG user agent should perform color operations in a way that optimizes performance, which might mean sacrificing the color interpolation precision as specified by through the <code>linearRGB</code> value for <code>color-interpolation-filters</code>.</p>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>color-rendering</code> can be used as a CSS property.</p>

<p>As a presentation attribute, it can be applied to any element but it only has an effect on the following 29 elements: {{SVGElement("a")}}, {{SVGElement("animate")}}, {{SVGElement("animateColor")}}, {{SVGElement("circle")}}, {{SVGElement("clipPath")}}, {{SVGElement("defs")}}, {{SVGElement("ellipse")}}, {{SVGElement("foreignObject")}}, {{SVGElement("g")}}, {{SVGElement("glyph")}}, {{SVGElement("image")}}, {{SVGElement("line")}}, {{SVGElement("linearGradient")}}, {{SVGElement("marker")}}, {{SVGElement("mask")}}, {{SVGElement("missing-glyph")}}, {{SVGElement("path")}}, {{SVGElement("pattern")}}, {{SVGElement("polygon")}}, {{SVGElement("polyline")}}, {{SVGElement("radialGradient")}}, {{SVGElement("rect")}}, {{SVGElement("svg")}}, {{SVGElement("switch")}}, {{SVGElement("symbol")}}, {{SVGElement("text")}}, {{SVGElement("textPath")}}, {{SVGElement("tspan")}}, and {{SVGElement("use")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; highlight[9,10,12,14">&lt;svg viewBox="0 0 480 200" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;defs&gt;
    &lt;radialGradient id="gradient" cx="0.5" cy="0.5" r="0.5" fx="0.35" fy="0.35" fr="5%"&gt;
      &lt;stop offset="0%" stop-color="white"/&gt;
      &lt;stop offset="100%" stop-color="darkseagreen"/&gt;
    &lt;/radialGradient&gt;
  &lt;/defs&gt;

  &lt;circle cx="100" cy="100" r="100" fill="url(#gradient)" color-rendering="optimizeQuality" /&gt;
  &lt;text x="45" y="50%" color-rendering="optimizeQuality"&gt;quality-optimized&lt;/text&gt;

  &lt;circle cx="100" cy="100" r="100" color-rendering="optimizeSpeed" fill="url(#gradient)"
      style="transform: translateX(240px);" /&gt;
  &lt;text x="290" y="50%" color-rendering="optimizeSpeed"&gt;speed-optimized&lt;/text&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "480", "200")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>auto</code> | <code>optimizeSpeed</code> | <code>optimizeQuality</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>auto</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>auto</code></dt>
 <dd>Indicates that the user agent shall make appropriate tradeoffs to balance speed and quality, but quality shall be given more importance than speed.</dd>
 <dt><code>optimizeSpeed</code></dt>
 <dd>Indicates that the user agent shall emphasize rendering speed over quality. For RGB display devices, this option will sometimes cause the user agent to perform color interpolation and compositing in the device RGB color space.</dd>
 <dt><code>optimizeQuality</code></dt>
 <dd>Indicates that the user agent shall emphasize quality over rendering speed.</dd>
</dl>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.color-rendering")}}</p>
